> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a ruleset

Permanently deletes a ruleset and all its associated execution history. All rules with higher priority values are automatically shifted up to fill the gap. This action cannot be undone.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json delete /organization/rules/{id}
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/rules/{id}:
    delete:
      tags:
        - Rulesets
      summary: Delete a ruleset
      description: >-
        Permanently deletes a ruleset and all its associated execution history.
        All rules with higher priority values are automatically shifted up to
        fill the gap. This action cannot be undone.
      operationId: deleteRuleset
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: ID of the ruleset to delete.
      responses:
        '204':
          description: Ruleset deleted successfully.
        '404':
          description: Ruleset not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````